<% /*
    $Revision$
    $Id$

    File:           model_bes_grootheid.inc

    Description:    Vanuit CodeCharge gegenereerd model voor bes_grootheid

    Context:

    Notes:
*/
%>
<%

function model_bes_grootheid()
{
    this.table = "bes_grootheid";
    this.primary = "bes_grootheid_key";
    this.records_name = "bes_grootheids";
    this.record_name = "bes_grootheid";
    this.soft_delete = "bes_grootheid_verwijder";
    this.autfunction = "WEB_PRDMSU";
    this.record_title = L("bes_grootheid");
    this.records_title = L("bes_grootheid_m");


    this.fields = {
        "id": {
            "dbs": "bes_grootheid_key",
            "label": "Key",
            "typ": "key",
            "required": true,
            "filter": "exact",
            "seq": "bes_s_bes_grootheid_key"
        },
        "name": {
            "dbs": "bes_grootheid_naam",
            "label": L("bes_grootheid_naam"),
            "typ": "varchar",
            "required": true
        }
      };


    this.REST_GET    = generic_REST_GET(this);
    this.REST_POST   = generic_REST_POST(this);
    this.REST_PUT    = generic_REST_PUT(this);
    this.REST_DELETE = generic_REST_DELETE(this, {});
}
%>